Bug 998489 - Jcr2vfs migration tool does not migrate asset description
Jcr2vfs migration tool does not migrate asset description
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER6
: 6.0.0
Assigned To: Mark Proctor
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 08:39 EDT by Petr Široký
Modified: 2014-08-06 16:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Jcr repo with asset that has description. (389.37 KB, application/zip)
2013-08-19 08:41 EDT, Petr Široký
no flags Details

  None (edit)
Description Petr Široký 2013-08-19 08:39:15 EDT
Description of problem:
When migrating an asset with description, the description is not migrated (its not saved in vfs repo). IIUC the description should be in "dot file" (file with metadata), but that file is empty after migration.

Version-Release number of selected component (if applicable):
6.0.0-DR6 (community 6.0.0-SNAPSHOT)

How reproducible:
Always

Steps to Reproduce:
1. Get and extract attached JCR repo.
2. Run the migration tool with above JCR repo as its input.
3. Look into .niogit/guvnor-jcr2vfs-migration/org.guvnor.example1/src/main/resources/.rule1.drl

Actual results:
File is empty - meaning the description was not migrated.

Expected results:
File contains the description.
Comment 1 Petr Široký 2013-08-19 08:41:10 EDT
Created attachment 788032 [details]
Jcr repo with asset that has description.
Comment 7 Petr Široký 2014-01-14 05:59:24 EST
Verified fixed in 6.0.0-ER7.

Note You need to log in before you can comment on or make changes to this bug.